Bug 520719 - New Package for Dogtag PKI: tomcatjss
Summary: New Package for Dogtag PKI: tomcatjss
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Dogtag-to-Fedora 521979
TreeView+ depends on / blocked
 
Reported: 2009-09-01 23:04 UTC by Matthew Harmsen
Modified: 2009-12-27 20:28 UTC (History)
7 users (show)

Fixed In Version: 1.2.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 521979 (view as bug list)
Environment:
Last Closed: 2009-09-11 21:07:32 UTC


Attachments (Terms of Use)
tomcatjss.spec (3.48 KB, text/plain)
2009-09-01 23:04 UTC, Matthew Harmsen
no flags Details
tomcatjss SRPM (24.43 KB, application/x-rpm)
2009-09-01 23:04 UTC, Matthew Harmsen
no flags Details

Description Matthew Harmsen 2009-09-01 23:04:08 UTC
Created attachment 359453 [details]
tomcatjss.spec

First pass at tomcatjss package.

Comment 1 Matthew Harmsen 2009-09-01 23:04:40 UTC
Created attachment 359454 [details]
tomcatjss SRPM

Comment 2 Dennis Gilmore 2009-09-01 23:28:11 UTC
for future reference please dont post spec files and srpm as attachments to bugs.

Comment 3 Dennis Gilmore 2009-09-01 23:50:38 UTC
rpm link gives some warnings

rpmlint /var/lib/mock/fedora-rawhide-x86_64/result
tomcatjss.src: W: strange-permission tomcatjss.spec 0600
tomcatjss.noarch: W: spurious-executable-perm /usr/share/doc/tomcatjss-1.2.0/README
tomcatjss.noarch: W: spurious-executable-perm /usr/share/doc/tomcatjss-1.2.0/LICENSE

we should make sure the docs are not executable
source is not available for download at the url in the spec

fedora 8 has not been supported for some time now 
# Override the default 'pki_jdk' and 'pki_jre' on Fedora 8 platforms
%{?fc8:%define pki_jdk    java-devel >= 1.7.0}
%{?fc8:%define pki_jre    java >= 1.7.0}
should be removed along with the pki_jdk and pki_jre macros 

/var/lib/tomcat5/server/lib/tomcatjss.jar in %files should be 
%{_sharedstatedir}/tomcat5/server/lib/tomcatjss.jar

mkdir -p %{buildroot}/var/lib/tomcat5/server/lib
cd %{buildroot}/var/lib/tomcat5/server/lib

should be 
mkdir -p %{buildroot}%{_sharedstatedir}/tomcat5/server/lib
cd %{buildroot}%{_sharedstatedir}/tomcat5/server/lib

Comment 4 Fedora Update System 2009-12-09 06:16:01 UTC
tomcatjss-1.2.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tomcatjss-1.2.0-2.fc12

Comment 5 Fedora Update System 2009-12-27 20:28:46 UTC
tomcatjss-1.2.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.